package bildbearbeitung;

import mediacomputation.Picture;
import mediacomputation.PictureExplorer;

public class BildBearbeitungsProgramm {

	public static void main(String args[]) {
		// hier knnen Sie kommagetrennt die Namen der
		// Bilder angeben, die bearbeitet werden sollen
		//
		// die Bilder mssen alle im gleichen Ordner
		// wie goldengate.jpg liegen
		final String[] bildDateiNamen = { "weihnachtsbaum-zuerich-hb.jpg" };

		// hier knnen Sie kommagetrennt angeben,
		// welche Bildbearbeitungs-Klassen auf die Bilder
		// losgelassen werden sollen
		final BildBearbeitungInterface[] bildBearbeiter = {
				new BildRotEntfernen(), new BildGrauMachen(),
				new BildInvertieren() };

		// den Rest des Programms unverndert lassen :-)
		for (int i = 0; i < bildDateiNamen.length; i++) {
			Picture bild = new Picture(bildDateiNamen[i]);
			PictureExplorer bildExplorer = new PictureExplorer(bild);
			bildExplorer.setTitle(bildDateiNamen[i]);
		}

		for (int i = 0; i < bildDateiNamen.length; i++) {
			for (int j = 0; j < bildBearbeiter.length; j++) {
				Picture bild = new Picture(bildDateiNamen[i]);
				PictureExplorer bildExplorer = new PictureExplorer(
						bildBearbeiter[j].bearbeite(bild));
				bildExplorer.setTitle(bildDateiNamen[i] + ": "
						+ bildBearbeiter[j].getClass().getName());
			}
		}
	}

}
