package bildbearbeitung;

import mediacomputation.Picture;
import mediacomputation.Pixel;

public class BildRotEntfernen implements BildBearbeitungInterface {

	@Override
	public Picture bearbeite(Picture originalBild) {
		int breite = originalBild.getWidth();
		int hoehe = originalBild.getHeight();

		// in diesem Beispiel hat das neue Bild die
		// gleichen Ausmasse wie das Orginalbild
		Picture neuesBild = new Picture(breite, hoehe);

		for (int y = 0; y < hoehe; y++) {
			for (int x = 0; x < breite; x++) {
				Pixel originalPixel = originalBild.getPixel(x, y);

				// in diesem Beispiel wird der neue Pixel an
				// die gleichen Koordinaten geschrieben wie
				// der Orginalpixel
				Pixel neuerPixel = neuesBild.getPixel(x, y);

				rotEntfernen(originalBild, originalPixel, neuerPixel);
			}
		}

		return neuesBild;
	}

	void rotEntfernen(Picture originalBild, Pixel originalPixel,
			Pixel neuerPixel) {

		// in diesem Beispiel wird der Parameter orginalBild
		// nicht verwendet; er knnte aber verwendet werden,
		// um zum Beispiel umliegende Pixel von orginalPixel
		// in die Berechnung von neuerPixel einzubeziehen

		neuerPixel.setRed(0);
		neuerPixel.setGreen(originalPixel.getGreen());
		neuerPixel.setBlue(originalPixel.getBlue());
	}

}
